// PROPER MOD - PROPER_World - by the-F and Q (contact_PROPER_MOD@web.de)

// PROPER_World_Configuration

#define ReadAndWrite		0
#define ReadAndCreate		1
#define ReadOnly		2
#define ReadOnlyVerified	3

// character
// D2DirtClutter,D2GrassClutter,D2SandClutter,Empty,ForestLeavesClutter,ForestNeedlesClutter,
// GrassClutterFix,GrassSouthClutter,RockSouthClutter,SandGeneralClutter,SparseWeedsClutter

// soundEnviron
// drygrass,forest,grass,gravel,hallway,metal,mud,road,rock,sand,wood

class CfgSurfaces
{
	class Default {};
	class Water {};
	
	class Roadway: Default
	{
		access = ReadOnly;
		files = "silnice*"; // "silnice*"
		rough = 0.005; // 0.005
		dust = 0.01; // 0.01
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class Asfalt: Roadway
	{
		access = ReadOnly;
		files = "asfalt*"; // "asfalt*"
		rough = 0.01; // 0.01
		dust = 0.05; // 0.05
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class Cesta: Roadway
	{
		access = ReadOnly;
		files = "cesta*"; // "cesta*"
		rough = 0.08; // 0.08
		dust = 0.15; // 0.15
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class Wood: Default
	{
		access = ReadOnly;
		files = "podlaha_prkna*"; // "podlaha_prkna*"
		rough = 0.15; // 0.15
		dust = 0.1; // 0.1
		soundEnviron = "wood"; // "wood"
		character = "Empty"; // "Empty"
	};
	class Metal: Default
	{
		access = ReadOnly;
		files = "plechprolis*"; // "plechprolis*"
		rough = 0.15; // 0.15
		dust = 0.1; // 0.1
		soundEnviron = "metal"; // "metal"
		character = "Empty"; // "Empty"
		impact = "Impact_Metal"; // "Impact_Metal"
	};
	class Beton: Default
	{
		access = ReadOnly;
		files = "kameny.pac"; // "kameny.pac"
		rough = 0.15; // 0.15
		dust = 0.1; // 0.1
		soundEnviron = "rock"; // "rock"
		character = "Empty"; // "Empty"
	};
	class Carpet: Default
	{
		access = ReadOnly;
		files = "dum_mesto_koberec*"; // "dum_mesto_koberec*"
		rough = 0.15; // 0.15
		dust = 0.1; // 0.1
		soundEnviron = "wood"; // "wood"
		character = "Empty"; // "Empty"
	};
	class SandBuilding: Default
	{
		access = ReadOnly;
		files = "pisek01*"; // "pisek01*"
		rough = 0.12; // 0.12
		dust = 0.5; // 0.5
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class MudBuilding: Default
	{
		access = ReadOnly;
		files = "hlinasterk*"; // "hlinasterk*"
		rough = 0.12; // 0.12
		dust = 0.5; // 0.5
		soundEnviron = "rock"; // "rock"
		character = "Empty"; // "Empty"
	};
	class BetonNew: Default
	{
		access = ReadOnly;
		files = "beton*"; // "beton*"
		rough = 0.005; // 0.005
		dust = 0.01; // 0.01
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class CubeRoad: Default
	{
		access = ReadOnly;
		files = "sil_kos*"; // "sil_kos*"
		rough = 0.04; // 0.04
		dust = 0.15; // 0.15
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class Sil_new: Default
	{
		access = ReadOnly;
		files = "sil_new*"; // "sil_new*"
		rough = 0.005; // 0.005
		dust = 0.01; // 0.01
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class Asfalt_New: Default
	{
		access = ReadOnly;
		files = "asf_new*"; // "asf_new*"
		rough = 0.008; // 0.008
		dust = 0.025; // 0.025
		soundEnviron = "road"; // "road"
		character = "Empty"; // "Empty"
	};
	class Cesta_new: Default
	{
		access = ReadOnly;
		files = "ces_hned*"; // "ces_hned*"
		rough = 0.04; // 0.04
		dust = 0.14; // 0.14
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class Pesina: Roadway
	{
		access = ReadOnly;
		files = "pesina*"; // "pesina*"
		rough = 1; // 1
		dust = 0.15; // 0.15
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class Hallway: Default
	{
		access = ReadOnly;
		files = "podldlzin02*"; // "podldlzin02*"
		rough = 0.12; // 0.12
		dust = 0.1; // 0.1
		soundEnviron = "hallway"; // "hallway"
		character = "Empty"; // "Empty"
	};
	class Grass: Default
	{
		access = ReadOnly;
		files = "trava_*"; // "trava_*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class GrassSouth: Default
	{
		access = ReadOnly;
		files = "travajih*"; // "travajih*"
		rough = 0.1; // 0.1
		dust = 0.2; // 0.2
		soundEnviron = "drygrass"; // "drygrass"
		character = "GrassSouthClutter"; // "GrassSouthClutter"
	};
	class ForestLeaves: Default
	{
		access = ReadOnly;
		files = "leslist*"; // "leslist*"
		rough = 0.2; // 0.2
		dust = 0.2; // 0.2
		soundEnviron = "wood"; // "wood"
		character = "ForestLeavesClutter"; // "ForestLeavesClutter"
	};
	class ForestNeedles: Default
	{
		access = ReadOnly;
		files = "lesjeh*"; // "lesjeh*"
		rough = 0.2; // 0.2
		dust = 0.2; // 0.2
		soundEnviron = "forest"; // "forest"
		character = "ForestNeedlesClutter"; // "ForestNeedlesClutter"
	};
	class RockSouth: Default
	{
		access = ReadOnly;
		files = "skalajih*"; // "skalajih*"
		rough = 0.5; // 0.5
		dust = 0.2; // 0.2
		soundEnviron = "rock"; // "rock"
		character = "RockSouthClutter"; // "RockSouthClutter"
	};
	class RockNorth: Default
	{
		access = ReadOnly;
		files = "skalas*"; // "skalas*"
		rough = 0.5; // 0.5
		dust = 0.2; // 0.2
		soundEnviron = "rock"; // "rock"
		character = "Empty"; // "Empty"
	};
	class Mud: Default
	{
		access = ReadOnly;
		files = "blato*"; // "blato*"
		rough = 0.3; // 0.3
		dust = 0.3; // 0.3
		soundEnviron = "mud"; // "mud"
		character = "Empty"; // "Empty"
	};
	class CityGround: Default
	{
		access = ReadOnly;
		files = "mesto*"; // "mesto*"
		rough = 0.01; // 0.01
		dust = 0.05; // 0.05
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class DryGround: Default
	{
		access = ReadOnly;
		files = "mesto2*"; // "mesto2*"
		rough = 0.05; // 0.05
		dust = 0.05; // 0.05
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class Field1: Default
	{
		access = ReadOnly;
		files = "pole1*"; // "pole1*"
		rough = 0.3; // 0.3
		dust = 0.25; // 0.25
		soundEnviron = "mud"; // "mud"
		character = "SparseWeedsClutter"; // "SparseWeedsClutter"
	};
	class SandGeneral: Default
	{
		access = ReadOnly;
		files = "pisek_*"; // "pisek_*"
		rough = 0.1; // 0.1
		dust = 0.5; // 0.5
		soundEnviron = "sand"; // "sand"
		character = "SandGeneralClutter"; // "SandGeneralClutter"
	};
	class SandDesert: Default
	{
		access = ReadOnly;
		files = "pisekpoust*"; // "pisekpoust*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class SandBeach: Default
	{
		access = ReadOnly;
		files = "pisekplaz*"; // "pisekplaz*"
		rough = 0.1; // 0.1
		dust = 0.5; // 0.5
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	// Porto
	class D2Grass: Default
	{
		access = ReadOnly;
		files = "d2trava_*"; // "d2trava_*"
		rough = 0.15; // 0.15
		dust = 0.2; // 0.2
		soundEnviron = "drygrass"; // "drygrass"
		character = "D2GrassClutter"; // "D2GrassClutter"
	};
	class D2City: Default
	{
		access = ReadOnly;
		files = "d2mesto_*"; // "d2mesto_*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "gravel"; // "gravel"
		character = "D2DirtClutter"; // "D2DirtClutter"
	};
	class D2Sand: Default
	{
		access = ReadOnly;
		files = "d2pisek_*"; // "d2pisek_*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class D2Rock: Default
	{
		access = ReadOnly;
		files = "cr_pole_*"; // "cr_pole_*"
		rough = 0.5; // 0.5
		dust = 0.2; // 0.2
		soundEnviron = "rock"; // "rock"
		character = "Empty"; // "Empty"
	};
	// ACE island pack
	class ACE_desert01: Grass
	{
		access = ReadOnly;
		files = "ace_desert01*"; // "ace_desert01*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class ACE_desert02: Grass
	{
		access = ReadOnly;
		files = "ace_desert02*"; // "ace_desert02*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class ACE_desert03: Grass
	{
		access = ReadOnly;
		files = "ace_desert03*"; // "ace_desert03*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class ACE_desert04: Grass
	{
		access = ReadOnly;
		files = "ace_desert04*"; // "ace_desert04*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class ACE_desert05: Grass
	{
		access = ReadOnly;
		files = "ace_desert05*"; // "ace_desert05*"
		rough = 0.2; // 0.2
		dust = 0.8; // 0.8
		soundEnviron = "sand"; // "sand"
		character = "Empty"; // "Empty"
	};
	class ACE_exotic01: Grass
	{
		access = ReadOnly;
		files = "ace_exotic01*"; // "ace_exotic01*"
		rough = 0.3; // 0.3
		dust = 0.25; // 0.25
		soundEnviron = "mud"; // "mud"
		character = "SparseWeedsClutter"; // "SparseWeedsClutter"
	};
	class ACE_exotic02: Grass
	{
		access = ReadOnly;
		files = "ace_exotic02*"; // "ace_exotic02*"
		rough = 0.3; // 0.3
		dust = 0.25; // 0.25
		soundEnviron = "mud"; // "mud"
		character = "SparseWeedsClutter"; // "SparseWeedsClutter"
	};
	class ACE_grass01: Grass
	{
		access = ReadOnly;
		files = "ace_grass01*"; // "ace_grass01*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass02: Grass
	{
		access = ReadOnly;
		files = "ace_grass02*"; // "ace_grass02*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass03: Grass
	{
		access = ReadOnly;
		files = "ace_grass03*"; // "ace_grass03*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass04: Grass
	{
		access = ReadOnly;
		files = "ace_grass04*"; // "ace_grass04*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass05: Grass
	{
		access = ReadOnly;
		files = "ace_grass05*"; // "ace_grass05*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass06: Grass
	{
		access = ReadOnly;
		files = "ace_grass06*"; // "ace_grass06*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass07: Grass
	{
		access = ReadOnly;
		files = "ace_grass07*"; // "ace_grass07*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_grass08: Grass
	{
		access = ReadOnly;
		files = "ace_grass08*"; // "ace_grass08*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_snow01: Grass
	{
		access = ReadOnly;
		files = "ace_snow01*"; // "ace_snow01*"
		rough = 0.1; // 0.1
		dust = 0.1; // 0.1
		soundEnviron = "grass"; // "grass"
		character = "GrassClutterFix"; // "GrassClutterFix"
	};
	class ACE_steppe01: Grass
	{
		access = ReadOnly;
		files = "ace_steppe01*"; // "ace_steppe01*"
		rough = 0.05; // 0.05
		dust = 0.05; // 0.05
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class ACE_steppe02: Grass
	{
		access = ReadOnly;
		files = "ace_steppe02*"; // "ace_steppe02*"
		rough = 0.05; // 0.05
		dust = 0.05; // 0.05
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class ACE_steppe03: Grass
	{
		access = ReadOnly;
		files = "ace_steppe03*"; // "ace_steppe03*"
		rough = 0.05; // 0.05
		dust = 0.05; // 0.05
		soundEnviron = "gravel"; // "gravel"
		character = "Empty"; // "Empty"
	};
	class ACE_stone01: Grass
	{
		access = ReadOnly;
		files = "ace_stone01*"; // "ace_stone01*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone02: Grass
	{
		access = ReadOnly;
		files = "ace_stone02*"; // "ace_stone02*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone03: Grass
	{
		access = ReadOnly;
		files = "ace_stone03*"; // "ace_stone03*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone04: Grass
	{
		access = ReadOnly;
		files = "ace_stone04*"; // "ace_stone04*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone05: Grass
	{
		access = ReadOnly;
		files = "ace_stone05*"; // "ace_stone05*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone06: Grass
	{
		access = ReadOnly;
		files = "ace_stone06*"; // "ace_stone06*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone07: Grass
	{
		access = ReadOnly;
		files = "ace_stone07*"; // "ace_stone07*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone08: Grass
	{
		access = ReadOnly;
		files = "ace_stone08*"; // "ace_stone08*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone09: Grass
	{
		access = ReadOnly;
		files = "ace_stone09*"; // "ace_stone09*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_stone10: Grass
	{
		access = ReadOnly;
		files = "ace_stone10*"; // "ace_stone10*"
		rough = 0.1; // 0.1
		dust = 0.4; // 0.4
		soundEnviron = "sand"; // "sand"
		character = "D2SandClutter"; // "D2SandClutter"
	};
	class ACE_wood01: Grass
	{
		access = ReadOnly;
		files = "ace_wood01*"; // "ace_wood01*"
		rough = 0.2; // 0.2
		dust = 0.2; // 0.2
		soundEnviron = "wood"; // "wood"
		character = "ForestLeavesClutter"; // "ForestLeavesClutter"
	};
	class ACE_wood02: Grass
	{
		access = ReadOnly;
		files = "ace_wood02*"; // "ace_wood02*"
		rough = 0.2; // 0.2
		dust = 0.2; // 0.2
		soundEnviron = "wood"; // "wood"
		character = "ForestLeavesClutter"; // "ForestLeavesClutter"
	};
	class ACE_wood03: Grass
	{
		access = ReadOnly;
		files = "ace_wood03*"; // "ace_wood03*"
		rough = 0.2; // 0.2
		dust = 0.2; // 0.2
		soundEnviron = "wood"; // "wood"
		character = "ForestLeavesClutter"; // "ForestLeavesClutter"
	};
};